<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="d9ce65e1-025d-433f-a7f7-4a4d3dea4cda" name="Changes" comment="">
      <change afterPath="$PROJECT_DIR$/.idea/uiDesigner.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/no/ntnu/idatx2001/oblig3/CardApplication.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/no/ntnu/idatx2001/oblig3/CardUi.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/no/ntnu/idatx2001/oblig3/cardgame/PlayerHand.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/no/ntnu/idatx2001/oblig3/ui/components/CardView.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/no/ntnu/idatx2001/oblig3/ui/components/FieldBox.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/no/ntnu/idatx2001/oblig3/ui/components/FieldLabel.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/no/ntnu/idatx2001/oblig3/ui/components/LeftRoundedButton.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/no/ntnu/idatx2001/oblig3/ui/components/RightRoundedButton.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/no/ntnu/idatx2001/oblig3/ui/components/Title.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/no/ntnu/idatx2001/oblig3/ui/components/ValueField.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/no/ntnu/idatx2001/oblig3/ui/controllers/CardController.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/no/ntnu/idatx2001/oblig3/ui/sections/CardAnalysisSection.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/no/ntnu/idatx2001/oblig3/ui/sections/CardDisplaySection.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/CardApplication.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/no/ntnu/idatx2001/oblig3/cardgame/DeckOfCards.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/no/ntnu/idatx2001/oblig3/cardgame/DeckOfCards.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/no/ntnu/idatx2001/oblig3/cardgame/PlayingCard.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/no/ntnu/idatx2001/oblig3/cardgame/PlayingCard.java" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProjectId" id="2MgIn53tQ1jGAWxRwJCOmp0hMV1" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "RunOnceActivity.OpenProjectViewOnStart": "true",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "SHARE_PROJECT_CONFIGURATION_FILES": "true",
    "WebServerToolWindowFactoryState": "false",
    "nodejs_package_manager_path": "npm",
    "project.structure.last.edited": "Modules",
    "project.structure.proportion": "0.0",
    "project.structure.side.proportion": "0.0",
    "settings.editor.selected.configurable": "preferences.pluginManager"
  }
}]]></component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="d9ce65e1-025d-433f-a7f7-4a4d3dea4cda" name="Changes" comment="" />
      <created>1678182963485</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1678182963485</updated>
      <workItem from="1678182964710" duration="1577000" />
      <workItem from="1678184552444" duration="17704000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
</project>